% The classdef name must be the same as the file name.
classdef states < Simulink.IntEnumType

    % Write your enumeration here
    enumeration
        STANDBY(0),
        CHARGING (1),
        CHARGED(2),
		READY(3),
        DISCONNECTING(4)
    end

    methods (Static)
        
        
        function defaultValue = getDefaultValue()
            % Put here the default value of the enumeration.
            defaultValue = states.STANDBY;
        end

        function dScope = getDataScope()
            dScope = 'Exported';
        end

        function desc = getDescription()
            desc = '';
        end
        
        function headerFile = getHeaderFile()
            headerFile = 'states.h';
        end
        
        function flag = addClassNameToEnumNames()
            flag = false;
        end

    end

end
